Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Query Parameters

oid
string

OID is used to Identify the user.

Body

application/json
day_of_birth
integer
required

Day of birth of the user.

Example:

1

first_name
string
required

First name of the user.

Example:

"Shyam"

gender
enum<string>
required

Gender of the user ('M' for male, 'F' for female, 'O' for other).

Available options:
M,
F,
O
Example:

"M"

month_of_birth
integer
required

Month of birth of the user.

Example:

1

pincode
string
required

Pincode of the user's address.

Example:

"110001"

year_of_birth
integer
required

Year of birth of the user.

Example:

1990

address
null | string

Address of the user.

Example:

"123, ABC Street"

last_name
null | string

Last name of the user.

Example:

"Singh"

middle_name
null | string

Middle name of the user.

Example:

"Kumar"

Response

No Content